Skip to content

Get Forms

GET /rest/asset/v1/forms.json

Permissions Read-Only AssetsRead-Write Assets

Build a request and mock the response

Method: GET
Path: /rest/asset/v1/forms.json
Tag: Forms
Operation ID: browseForms2UsingGET

Retrieves a list of accessible form records from the target instance. Required Permissions: Read-Only Assets, Read-Write Assets

Formats

  • Request: application/x-www-form-urlencoded
  • Response: application/json

Request

Query parameters

Name Type Required Description Constraints
status string No Status filter for draft or approved versions enum: approved, draft
folder string No JSON representation of parent folder, with members 'id', and 'type' which may be 'Folder' or 'Program'
maxReturn integer (int32) No Maximum number of forms to return. Max 200, default 20
offset string No Integer offset for paging

Example request

GET {{base_url}}/rest/asset/v1/forms.json?status=approved&folder={{folder}}&maxReturn={{maxReturn}}&offset={{offset}}
Accept: application/json

Responses

200 — OK

Schema: model: ResponseOfLpFormResponse

Generated example

{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "buttonLabel": "string",
      "buttonLocation": 123,
      "createdAt": "2026-01-15T10:30:00Z",
      "description": "string",
      "folder": {
        "id": 123,
        "type": "Folder"
      },
      "fontFamily": "string",
      "fontSize": "string",
      "id": 123,
      "knownVisitor": {
        "template": "string",
        "type": "string"
      },
      "labelPosition": "string",
      "language": "string",
      "locale": "string",
      "name": "Example name",
      "progressiveProfiling": true,
      "status": "approved",
      "thankYouList": [
        {
          "default": true,
          "followupType": "string",
          "followupValue": {},
          "operator": "string",
          "subjectField": "string",
          "values": [
            "string"
          ]
        }
      ],
      "theme": "string",
      "updatedAt": "2026-01-15T10:30:00Z",
      "url": "https://example.com",
      "waitingLabel": "string"
    }
  ],
  "success": true,
  "warnings": [
    "string"
  ]
}

Referenced models

Source

Generated from swagger-asset.json.

Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.